speech to text converter


using package:

speech_to_text

https://pub.dev/packages/speech_to_text

google_translator:
GoogleTranslatorInit(
      apiKey,
      builder: () => MaterialApp(
        debugShowCheckedModeBanner: false,
        title: 'Flutter Demo',
        theme: ThemeData(
          primarySwatch: Colors.blue,
        ),
        home: const MyHomePage(),
      ),
      translateFrom: Locale('en', 'IN'),
      translateTo: Locale('hi', 'IN'),
    );
translator:
 Future translate() async {
    const apiKey = 'AIzaSyCqUQPhrjLv-pRKhBrls64v5h0gPDG-n5U';
    const to = 'bn-IN';
    final url = Uri.parse(
        'https://translation.googleapis.com/language/translate/v2?target=$to&key=$apiKey&q=$text');

    final response = await http.post(url);

    if (response.statusCode == 200) {
      final body = json.decode(response.body);
      List translations = body['data']['translations'];
      String translation = translations.first['translatedText'];
      setState(() {
        translatedText = translation;
        debugPrint(translatedText);
      });
    }
  }

    Future translation() async {
    const apiKey = 'AIzaSyCqUQPhrjLv-pRKhBrls64v5h0gPDG-n5U';
    const to = 'en-IN';
    final url = Uri.parse(
        'https://translation.googleapis.com/language/translate/v2?target=$to&key=$apiKey&q=$selectedText');

    final response = await http.post(url);

    if (response.statusCode == 200) {
      final body = json.decode(response.body);
      List translations = body['data']['translations'];
      String translation = translations.first['translatedText'];
      setState(() {
        translatedText = translation;
        debugPrint(translatedText);
      });
    }
  }